## libgwibber 0.1.1

=== debian/changelog ===
libgwibber (0.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload with changes thanks to Chow Loong Jin
    <hyperair@ubuntu.com>
  * Remove obsolete build dependencies on libmono-dev and mono-gmcs (Closes:
    #630398)
  * Fix dllmap target for libgwibber1 (Closes: #630397)
  * Update installcligac files for package rename so the library is actually
    installed into the GAC

 -- Iain Lane <laney@debian.org>  Fri, 05 Aug 2011 19:08:59 +0100

libgwibber (0.1.1-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #620980)
  * debian/control:
    + Set myself as maintainer
    + Updated Standards-Version to 3.9.2
    + Removed duplicate Section for binary packages
    + Fixed package description for libgwibber-gtk
  * debian/copyright:
    + Updated as per DEP-5 specification

 -- Kartik Mistry <kartik@debian.org>  Wed, 18 May 2011 09:47:09 +0530

libgwibber (0.1.1-0ubuntu1) natty; urgency=low

  * New upstream release.
    - GIR fixes, use valac to generate the GIRs instead of g-ir-scanner,
      it generates more accurate metadata (LP: #702185)
  * debian/libgwibber1.symbols
    - Added new symbol
  * debian/libgwibber-dev.install, debian/libgwibber-gtk-dev.install
    - Handle the renamed .pc files
    - Install the .deps files along with the .vapi

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 23 Feb 2011 22:16:55 -0500

libgwibber (0.1.0-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Added the new StreamView widget
    - Work toward being more "GObject" friendly, using properties and an 
      Account object
    - include a --disable-deprecated configure arg to set the CFLAGS to build 
      without deprecated APIs (LP: #655752)
    - Don't include buttons in the AccountTargetBar for services that aren't 
      capable of sending (LP: #656963)
    - GTK+3 fixes: use accessor functions instead direct access (LP: #655752)
    - GIR fixes for FTBFS (LP: #681436)
  * debian/control,
    debian/gir1.2-gwibber-0.1.install, 
    debian/gir1.2-gwibber-gtk-0.1.install,
    debian/libgwibber-gtk0.1-cil-dev.install,
    debian/libgwibber-gtk0.1-cil.install,
    debian/libgwibber1.symbols,
    debian/libgwibber-gtk1.symbols:
    - rename for soname bump
  * debian/libgwibber1.symbols, debian/libgwibber-gtk1.symbols:
    - Updated symbols
  * debian/control
    - Added new build depends for gir1.2-dee-0.5 and libdee-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 04 Jan 2011 00:45:06 -0500

libgwibber (0.0.6-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - Cleaned up some compiler warnings (LP: #618757)
    - Use GLib.HashTable.full for creating hash tables that contain 
      hash tables to properly destroy them.

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 23 Aug 2010 08:37:37 -0400

libgwibber (0.0.5-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - Cleaned up some error handling and compiler warnings

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 20 Aug 2010 16:32:32 -0400

libgwibber (0.0.4-0ubuntu2) maverick; urgency=low

  * bindings/mono/gwibber-gtk/gwibber-gtk-sharp-0.0.pc.in
    - Fixed Requires for gwibber-sharp-0.0 
  * debian/control
    - Added Vcs-Bzr

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 17 Aug 2010 14:21:57 -0400

libgwibber (0.0.4-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - Added is_available signals to all the interfaces
  * debian/control
    - Dropped build depends for gir-repository-dev
  * debian/libgwibber0.symbols 
    - added new symbols
  * debian/libgwibber-gtk0.symbols 
    - added new symbols

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 16 Aug 2010 11:33:45 -0400

libgwibber (0.0.3-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - Added Gwibber.Service.start method for starting gwibber-service
    - Added signal to watch for service availability
      * Gwibber.Service.is_available(bool)
    - Updated examples to include "start"
  * debian/libgwibber0.symbols 
    - added new symbols
  * debian/libgwibber-gtk0.symbols 
    - added new symbols

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 12 Aug 2010 15:13:52 -0400

libgwibber (0.0.2-0ubuntu2) maverick; urgency=low

  * debian/control
    - Added build-depends on gir1.0-dbus-1.0, gir1.0-pango-1.0,
      and gir1.0-gdkpixbuf-2.0
    - Removed Vcs-Bzr
  * debian/rules
    - Dropped DEB_DH_MAKESHLIBS_ARGS
  * debian/libgwibber-gtk0.symbols
    debian/libgwibber0.symbols
    - Added symbols

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 03 Aug 2010 21:29:58 -0400

libgwibber (0.0.2-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - Added AccountTargetBar with all signals needed to toggle accounts
    - Added pango overlay for character count
    - Added network connection monitoring, which enables/disables they 
      TextView and Send buttons based on connection status.
    - Clear buffer after caling send_message
    - Added examples for C, Vala, Mono, and Python (using introspection)
  * debian/control
    - Better descriptions for gir-* and *-doc packages
    - Use gir:Depends instead of specifying depends
  * debian/rules
    - use dh_girepository for generating depends
  * debian/copyright
    - Added Neil to copyrights 
    - Changing packaging license to LGPL-3 to match source

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 03 Aug 2010 14:14:33 -0400

libgwibber (0.0.1-0ubuntu1) UNRELEASED; urgency=low

  * Initial packaging

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 17 Jun 2010 16:39:13 -0400
