=== debian/control ===
Source: libgwibber
Section: libs
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 5.0),
               cdbs (>= 0.4.41),
               cli-common-dev (>= 0.5.7),
               mono-devel (>= 2.4.3),
               gtk-sharp2-gapi,
               libnunit-cil-dev,
               libgtk2.0-cil-dev,
               gnome-doc-utils,
               gtk-doc-tools,
               libgtk2.0-dev,
               libgee-dev,
               libjson-glib-dev,
               libdbus-glib-1-dev,
               gobject-introspection,
               libgirepository1.0-dev,
               gir1.2-glib-2.0,
               gir1.2-gtk-2.0,
               gir1.2-pango-1.0,
               gir1.2-gdkpixbuf-2.0,
               gir1.2-dee-0.5,
               libdee-dev (>= 0.5.2),
               valac
Standards-Version: 3.9.2
Homepage: https://launchpad.net/gwibber

Package: libgwibber1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gwibber-service (>= 2.31.1)
Description: Gwibber - shared library
 libgwibber provides a library for accessing social networks via
 gwibber.
 .
 This package contains shared libraries to be used by applications.

Package: libgwibber-gtk1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Gwibber GTK+ Widgets
 libgwibber provides a library for accessing social networks via
 gwibber.
 .
 This package contains GTK+ shared libraries to be used by applications.

Package: libgwibber-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgwibber1 (= ${binary:Version})
Description: Gwibber - shared library (development)
 libgwibber provides a library for accessing social networks via
 gwibber.
 .
 This package contains files that are needed to build applications.

Package: libgwibber-gtk-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgwibber-gtk1 (= ${binary:Version})
Description: Gwibber - shared library (GTK+ development)
 libgwibber provides a library for accessing social networks via
 gwibber.
 .
 This package contains files that are needed to build GTK+ applications.

Package: libgwibber0.1-cil
Section: cli-mono
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends}
Description: CLI bindings for libgwibber
 This package provides the gwibber-sharp assembly that allows CLI (.NET)
 programs to use the Gwibber service.
 .
 This package contains assemblies to be used by applications.

Package: libgwibber0.1-cil-dev
Section: libdevel
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libgwibber0.1-cil (= ${binary:Version})
Description: CLI bindings for libgwibber (development)
 This package provides the gwibber-sharp assembly that allows CLI (.NET)
 programs to use the Gwibber servive.
 .
 This package contains development files that are needed to build applications.

Package: libgwibber-gtk0.1-cil
Section: cli-mono
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends}
Description: CLI bindings for libgwibber (GTK+)
 This package provides the gwibber-sharp assembly that allows CLI (.NET)
 programs to use the Gwibber service.
 .
 This package contains GTK+ assemblies to be used by applications.

Package: libgwibber-gtk0.1-cil-dev
Section: libdevel
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libgwibber-gtk0.1-cil (= ${binary:Version})
Description: CLI bindings for libgwibber (GTK+ development)
 This package provides the gwibber-sharp assembly that allows CLI (.NET)
 programs to use the Gwibber servive.
 .
 This package contains GTK+ development files that are needed to build
 applications.

Package: gir1.2-gwibber-0.1
Conflicts: gir1.0-gwibber-0.0
Replaces: gir1.0-gwibber-0.0
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
         libgwibber1 (= ${binary:Version})
Description: Typelib file for libgwibber1
 libgwibber provides a library for accessing social networks via
 gwibber.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libgwibber1.

Package: gir1.2-gwibber-gtk-0.1
Conflicts: gir1.0-gwibber-gtk-0.0
Replaces: gir1.0-gwibber-gtk-0.0
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
         libgwibber-gtk1 (= ${binary:Version}),
         gir1.2-gwibber-0.1 (= ${binary:Version})
Description: Typelib file for libgwibber-gtk1
 libgwibber provides a library for accessing social networks via
 gwibber.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libgwibber-gtk1.

Package: libgwibber-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Gwibber - shared library (documents)
 libgwibber provides a library for accessing social networks via
 gwibber.
 .
 This package contains developer documentation for libgwibber.

Package: libgwibber-gtk-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Gwibber - shared library (GTK+ documents)
 libgwibber provides a library for accessing social networks via
 gwibber.
 .
 This package contains developer documentation for libgwibber-gtk.
