=== debian/rules ===
#!/usr/bin/make -f

export MONO_SHARED_DIR=$(CURDIR)
export CSC=/usr/bin/mono-csc

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-gtk-doc --enable-maintainer-flags=no
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

binary-install/libgwibber0.1-cil::
	dh_clistrip
	dh_clifixperms
	dh_makeclilibs -V

binary-predeb/libgwibber0.1-cil:: binary-fixup/libgwibber1
	dh_clideps -plibgwibber0.1-cil

binary-install/libgwibber-gtk0.1-cil::
	dh_installcligac
	dh_clistrip
	dh_clifixperms
	dh_makeclilibs -V

binary-predeb/libgwibber-gtk0.1-cil:: binary-fixup/libgwibber-gtk1
	dh_clideps -plibgwibber-gtk0.1-cil

binary-predeb/gir%::
	dh_girepository -p$(cdbs_curpkg)

common-binary-predeb-arch:: list-missing

clean::
	rm -rf $(MONO_SHARED_DIR)/.wapi
	rm -rf docs/libgwibber/html/*.png
	rm -rf docs/libgwibber-gtk/html/*.png
